C# Class CascadeSharp.TKTopAlgo.BRepClass.BRepClass_FaceExplorer

Datei anzeigen Open project: Oblikovati/CascadeSharp Class Usage Examples

Public Methods

Method Description
BRepClass_FaceExplorer ( ) : System
BRepClass_FaceExplorer ( BRepClass_FaceExplorer parameter1 ) : System
BRepClass_FaceExplorer ( TopoDS_Face F ) : System
CheckPoint ( gp_Pnt2d thePoint ) : bool
ComputeFaceBounds ( ) : void
CurrentEdge ( CascadeSharp.TKTopAlgo.BRepClass.BRepClass_Edge E, TopAbs_Orientation &Or ) : void
InitEdges ( ) : void
InitWires ( ) : void
MoreEdges ( ) : bool
MoreWires ( ) : bool
NextEdge ( ) : void
NextWire ( ) : void
OtherSegment ( gp_Pnt2d P, gp_Lin2d L, double &Par ) : bool
Reject ( gp_Pnt2d P ) : bool
RejectEdge ( gp_Lin2d L, double Par ) : bool
RejectWire ( gp_Lin2d L, double Par ) : bool
Segment ( gp_Pnt2d P, gp_Lin2d L, double &Par ) : bool

Method Details

BRepClass_FaceExplorer() public method

public BRepClass_FaceExplorer ( ) : System
return System

BRepClass_FaceExplorer() public method

public BRepClass_FaceExplorer ( BRepClass_FaceExplorer parameter1 ) : System
parameter1 BRepClass_FaceExplorer
return System

BRepClass_FaceExplorer() public method

public BRepClass_FaceExplorer ( TopoDS_Face F ) : System
F TopoDS_Face
return System

CheckPoint() public method

public CheckPoint ( gp_Pnt2d thePoint ) : bool
thePoint gp_Pnt2d
return bool

ComputeFaceBounds() public method

public ComputeFaceBounds ( ) : void
return void

CurrentEdge() public method

public CurrentEdge ( CascadeSharp.TKTopAlgo.BRepClass.BRepClass_Edge E, TopAbs_Orientation &Or ) : void
E CascadeSharp.TKTopAlgo.BRepClass.BRepClass_Edge
Or TopAbs_Orientation
return void

InitEdges() public method

public InitEdges ( ) : void
return void

InitWires() public method

public InitWires ( ) : void
return void

MoreEdges() public method

public MoreEdges ( ) : bool
return bool

MoreWires() public method

public MoreWires ( ) : bool
return bool

NextEdge() public method

public NextEdge ( ) : void
return void

NextWire() public method

public NextWire ( ) : void
return void

OtherSegment() public method

public OtherSegment ( gp_Pnt2d P, gp_Lin2d L, double &Par ) : bool
P gp_Pnt2d
L gp_Lin2d
Par double
return bool

Reject() public method

public Reject ( gp_Pnt2d P ) : bool
P gp_Pnt2d
return bool

RejectEdge() public method

public RejectEdge ( gp_Lin2d L, double Par ) : bool
L gp_Lin2d
Par double
return bool

RejectWire() public method

public RejectWire ( gp_Lin2d L, double Par ) : bool
L gp_Lin2d
Par double
return bool

Segment() public method

public Segment ( gp_Pnt2d P, gp_Lin2d L, double &Par ) : bool
P gp_Pnt2d
L gp_Lin2d
Par double
return bool